ZekronAI
All models

Topaz Image Upscale

Image
topaz-labs/image-upscale

AI image upscaling with selectable presets and face recovery.

$0.030

per image

Quick start

curl -X POST https://api.zekron.tech/api/v1/tasks \
  -H "Authorization: Bearer zk_live_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model":"topaz-labs/image-upscale","input":{"prompt":"a neon city skyline at dusk, cinematic, ultra detailed"}}'

Example response

{
  "success": true,
  "data": {
    "task_id": "zk_task_abc123",
    "provider": "zekronai",
    "model": "topaz-labs/image-upscale",
    "status": "completed",
    "output": [
      "https://api.zekron.tech/api/v1/files/img_abc123"
    ],
    "cost": 0.03,
    "currency": "USD",
    "created_at": "2026-06-10T12:00:00Z"
  }
}